Charge a one-time payment by card
Charge a one-time payment by card
Immediately charges an existing scheduled payment with unsaved card details and applies the resulting transaction to its contract.
Authentication
AuthorizationBearer
The signed-in SchoolSet user token sent by the frontend.
Path parameters
id
Existing payment identifier to charge.
Request
This endpoint expects a multipart form.
merchant_account_id
payment_amount
credit_card_number
credit_card_exp_date
credit_card_cvc
customer_billing_name
customer_address_1
customer_address_2
customer_city
customer_state
customer_zip
customer_country
customer_phone
customer_email
contract_fees_type_id
is_credit
note
Response
The card payment result and payment resource were returned.
status
message
data
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error

